<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->
    <link th:href="@{/css/bootstrap-slider.css}" rel="stylesheet">

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
    <script th:src="@{/js/bootstrap-slider.js}"></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>

    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container-fluid container-lg mt-2">
        <div class="d-lg-flex">
            <div class="p-2">
                <div th:replace="fragments/layout :: adminSideNav('products')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <div class="d-flex flex-wrap">
                    <h3 class="mb-3">Produkty</h3>
                    <div class="ml-auto mt-auto">
                        <a th:href="@{/admin/product/new} + '?cat=' + ${category}"
                           class="btn btn-sm btn-success mb-2 float-right">
                            <i class="fas fa-plus"></i>
                            Přidat produkt
                        </a>
                    </div>
                </div>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <!--filtrace-->
                <form method="get" id="filterForm" th:action="@{/admin/products}">
                    <input hidden id="filterPageNumber" name="page" th:value="${(param.page == null) ? 0 : param.page}">

                    <div class="bg-light border p-2 mb-2 row no-gutters">

                        <div class="px-1 col-12 col-sm-4 col-xl-3">
                            <label for="productName" class="">Název:</label>
                            <input id="productName" name="name" th:value="${param.name}"
                                   class="form-control form-control-sm">
                        </div>

                        <div class="px-1 col-12 col-sm-4 col-xl-3">
                            <label for="category">Kategorie:</label>
                            <select id="category" name="category" class="form-control form-control-sm">
                                <option value="">Všechny kategorie</option>
                                <option th:each="category : ${T(cz.david.minirental.model.enums.ProductCategory).values()}"
                                        th:selected="${param.category != null && category.name() == param.category.toString()}"
                                        th:value="${category}"
                                        th:text="${category.getHeading()}">
                                </option>
                            </select>
                        </div>

                        <div class="col-12 col-sm mt-auto pt-2 text-right">
                            <button class="btn btn-sm btn-orange px-3" type="submit"
                                    onclick="$('#filterPageNumber').val(0);">Filtrovat
                            </button>
                        </div>
                    </div>
                </form>

                <div id="notFoundMessage" class="alert alert-warning show" role="alert"
                     th:if="${#lists.isEmpty(products)}">
                    <span>Nepodařilo se najít žádný produkt</span>
                </div>

                <!--TABLE-->
                <div class="table-responsive">
                    <table class="table table-hover" th:if="${not #lists.isEmpty(products)}">
                        <thead>
                        <tr>
                            <th scope="col" class="py-1">Název</th>
                            <th scope="col" class="py-1">Cena</th>
                            <th scope="col" class="py-1">Kauce</th>
                            <th scope="col" class="py-1">Kategorie</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="product : ${products}">
                            <td class="font-weight-bold" th:text="${product.name}"
                                th:onclick="'redirectTo(\'' + @{/admin/product/edit/} + ${product.id} + '\')'"></td>
                            <td th:text="${product.price}"
                                th:onclick="'redirectTo(\'' + @{/admin/product/edit/} + ${product.id} + '\')'"></td>
                            <td th:text="${product.bail}"
                                th:onclick="'redirectTo(\'' + @{/admin/product/edit/} + ${product.id} + '\')'"></td>
                            <td th:text="${product.category.getHeading()}"
                                th:onclick="'redirectTo(\'' + @{/admin/product/edit/} + ${product.id} + '\')'"></td>
                            <td>
                                <div class="btn-group float-right" role="group">
                                    <!--BORROW-->
                                    <a class="btn btn-sm btn-outline-orange px-3"
                                       data-toggle="tooltip" data-placement="bottom" title="nová výpůjčka"
                                       th:href="@{/admin/borrow/new?pid=} + ${product.id}">
                                        <i class="far fa-clock"></i>
                                    </a>
                                    <!--EDIT-->
                                    <a class="btn btn-sm btn-outline-success"
                                       data-toggle="tooltip" data-placement="bottom" title="upravit"
                                       th:href="@{/admin/product/edit/} + ${product.id}">
                                        <i class="fas fa-pen"></i>
                                    </a>
                                    <!--DETAIL-->
                                    <a class="btn btn-sm btn-outline-secondary" target="_blank"
                                       data-toggle="tooltip" data-placement="bottom" title="zobrazit produkt"
                                       th:href="@{/product/} + ${product.id}">
                                        <i class="far fa-window-restore"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>

                <!--PAGGING-->
                <nav aria-label="Page navigation example" th:if="${pageCount > 1}">
                    <ul class="pagination pagination-sm pagination-orange ml-2">
                        <li class="page-item" th:classappend="${(pageNumber == 0) ? 'disabled' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber - 1} + ');'"
                               aria-label="Previous">
                                <span aria-hidden="true">&laquo;</span>
                            </a>
                        </li>
                        <li class="page-item" th:each="i : ${#numbers.sequence(1, pageCount)}"
                            th:classappend="${(i == pageNumber + 1) ? 'active' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${i - 1} + ');'"
                               th:text="${i}">1</a>
                        </li>
                        <li class="page-item" th:classappend="${(pageNumber == (pageCount - 1)) ? 'disabled' : ''}">
                            <a class="page-link" href="#" th:onclick="'redirectToPage(' + ${pageNumber + 1} + ');'"
                               aria-label="Next">
                                <span aria-hidden="true">&raquo;</span>
                            </a>
                        </li>
                    </ul>
                </nav>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

</body>
</html>